using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Library.Enums
{
    public enum GroupType
    {
        /// <summary>
        /// 档位
        /// </summary>
        [Description("档位")]
        Gear = 1,

        /// <summary>
        /// 电机 
        /// </summary>
        [Description("电机")]
        Motor = 2,

        /// <summary>
        /// 主控信息
        /// </summary>
        [Description("主控信息")]
        MasterControlInfo = 3,

        /// <summary>
        /// 限位
        /// </summary>
        [Description("限位")]
        Limit = 4,

        /// <summary>
        /// 保护
        /// </summary>
        [Description("保护")]
        Protect = 5,
        /// <summary>
        /// 制动器
        /// </summary>
        [Description("制动器")]
        Break = 6,
        /// <summary>
        /// 其它
        /// </summary>
        [Description("其它")]
        Other = 7,

        /// <summary>
        /// 门限位
        /// </summary>
        [Description("门限位")]
        DoorLimit = 8,

        /// <summary>
        /// 联动台
        /// </summary>
        [Description("联动台")]
        Linkage = 9,

        /// <summary>
        /// 集中润滑
        /// </summary>
        [Description("集中润滑")]
        Lubricating = 10,

        /// <summary>
        /// 集中润滑
        /// </summary>
        [Description("减速机")]
        Reducer = 11,

        /// <summary>
        /// 电压电流
        /// </summary>
        [Description("电压电流")]
        VoltageAndCurrent = 12,
        /// <summary>
        /// 风机
        /// </summary>
        [Description("风机")]
        Fan = 13
    }
}
